Skip to main content
GET
/
prompts
List prompts
curl --request GET \
  --url https://api.portkey.ai/v1/prompts \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/prompts"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/prompts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "last_updated_at": "2023-11-07T05:31:56Z",
      "object": "prompt"
    }
  ],
  "total": 123
}

Authorizations

x-portkey-api-key
string
header
required

Query Parameters

collection_id
string
workspace_id
string
current_page
integer
page_size
integer

Response

List of prompts

data
object[]
total
integer
Last modified on March 25, 2026